FILESEXTRAPATHS_prepend := "${THISDIR}/${PN}:"

SRC_URI_append = "	\
				file://kontronelectronics_small.png \
				file://psplash-init-script.sh \		
				"

INITSCRIPT_NAME = "psplash-init-script.sh"
INITSCRIPT_PARAMS = "start 00 5 2 . stop 20 0 1 6 ."

inherit update-rc.d 


do_install_append() {
       
    if ! ${@bb.utils.contains('DISTRO_FEATURES','systemd','true','false',d)}; then
    	install -d ${D}${sysconfdir}/init.d/
		install -c -m 755 ${WORKDIR}/${INITSCRIPT_NAME} ${D}${sysconfdir}/init.d/${INITSCRIPT_NAME}
			
    fi
}