#!/bin/sh

#copy firmware name to remoteproc service and start it

rproc_dir="/sys/class/remoteproc/remoteproc0"
source_config="/etc/default/m4_fw-autoload.conf"

if [ $1 == "start" ];then
	if test -f $source_config;then
		. $source_config
	fi
	if test -e /usr/projects/${APPLICATION_NAME}; then
		cp /usr/projects/$APPLICATION_NAME /lib/firmware
		echo -n $APPLICATION_NAME > $rproc_dir/firmware
		echo -n start > $rproc_dir/state
	else
		echo "m4_fw-autoload: no application specified"
	fi
fi

if [ $1 == "stop" ];then
	echo -n stop > $rproc_dir/state
fi

